### Hierarchy

- VerifyManager

### Implemented by

- VerifyManagerImpl

## Index

### Methods

- fixDanglingOfferSearchesByCreatingInteractions
- getAccountsByPublicKeys
- getAllAccounts
- getDanglingOfferInteractions
- getDanglingOfferSearches
- getOfferSearchesByIds
- getSearchRequestWithSameTags

## Methods

### fixDanglingOfferSearchesByCreatingInteractions

- fixDanglingOfferSearchesByCreatingInteractions(): Promise<Array<OfferInteraction>>

- - Defined in manager/VerifyManager.ts:18

  #### Returns Promise<Array<OfferInteraction>>

### getAccountsByPublicKeys

- getAccountsByPublicKeys(publicKeys: Array<string>): Promise<Array<Account>>

- - Defined in manager/VerifyManager.ts:10

  #### Parameters

  - ##### publicKeys: Array<string>

  #### Returns Promise<Array<Account>>

### getAllAccounts

- getAllAccounts(fromDate: Date): Promise<Array<Account>>

- - Defined in manager/VerifyManager.ts:12

  #### Parameters

  - ##### fromDate: Date

  #### Returns Promise<Array<Account>>

### getDanglingOfferInteractions

- getDanglingOfferInteractions(): Promise<Array<OfferInteraction>>

- - Defined in manager/VerifyManager.ts:16

  #### Returns Promise<Array<OfferInteraction>>

### getDanglingOfferSearches

- getDanglingOfferSearches(type: number): Promise<Array<OfferSearch>>

- - Defined in manager/VerifyManager.ts:14

  #### Parameters

  - ##### type: number

  #### Returns Promise<Array<OfferSearch>>

### getOfferSearchesByIds

- getOfferSearchesByIds(ids: Array<number>): Promise<Array<OfferSearch>>

- - Defined in manager/VerifyManager.ts:8

  #### Parameters

  - ##### ids: Array<number>

  #### Returns Promise<Array<OfferSearch>>

### getSearchRequestWithSameTags

- getSearchRequestWithSameTags(): Promise<Array<SearchRequest>>

- - Defined in manager/VerifyManager.ts:20

  #### Returns Promise<Array<SearchRequest>>

Generated using TypeDoc